<bugID>1014215<Summary>Updater hotfix: anonymize the collected update log</Summary><Description>We want to collect updater logs for users who were failing to update properly. According to rstrong, these logs can contain the username in various path components, but are unlikely to contain any other personal data. We need to strip out the username path components before submission.

rstrong do you have any suggested techniques?

This should probably take the form of a .jsm API:

function sanitizeUpdateLog(inpath, outpath) {
  ...
}

This code needs to work in Firefox 10+ and so it cannot use OS.File or any modern async goodies.</Description></bugID>